Description

Dear Fransesco, 

I encounter the following error while publishing/updating records in GRSF catalogs. 

2021-01-21 13:10:59 ERROR gr.forth.ics.isl.grsfservicescore.GrsfPublisher:148 - Method failed: HTT

P/1.1 500 Internal Server Error; Response body: {"id":null,"knowledge_base_id":null,"product_url":

null,"error":"Sorry but there was not possible to retrieve your fullname/email!"}

 Can you please check this?

Related issues:

Blocks StocksAndFisheriesKB - Task #20490: Approve-Merge RAM Group 4 records Closed Jan 20, 2021

History

#1 - Jan 21, 2021 12:17 PM - Yannis Marketakis

- Blocks Task #20490: Approve-Merge RAM Group 4 records added

#2 - Jan 21, 2021 05:47 PM - Francesco Mangiacrapa

- Status changed from New to In Progress

- Assignee changed from Francesco Mangiacrapa to Luca Frosini

- % Done changed from 0 to 10

Hi Yannis,

I just verified and the "GRSF publisher" service seems to be up and running. By checking the logs I noticed three errors as follow:

2021-01-21 12:02:56,941 [catalina-exec-11] ERROR HelperMethods: error while performing get method java.lang.Ru

ntimeException: Failed : HTTP error code : 404

2021-01-21 12:02:56,941 [catalina-exec-11] DEBUG GrsfPublisherStockService: Author fullname or mail missing, c

annot continue

2021-01-21 12:02:56,941 [catalina-exec-11] ERROR GrsfPublisherStockService: Failed to update stock record

...

 in this part the service tries to get the user information which allowing authentication on the Catalogue.. and all the services involved are up and

running at the moment.

Please, retry again and let me know if it was a temporary issue or the problem persists.

#3 - Jan 22, 2021 08:42 AM - Yannis Marketakis

Thanks, @francesco.mangiacrapa@isti.cnr.it for checking this out.

Unfortunately, the problem persists with the same error message

#4 - Jan 22, 2021 10:24 AM - Francesco Mangiacrapa

- % Done changed from 10 to 20

Yannis Marketakis wrote:

Thanks, @francesco.mangiacrapa@isti.cnr.it for checking this out.

Unfortunately, the problem persists with the same error message
 Ok.

By checking the logs I noticed this:

2021-01-22 08:41:07,116 [catalina-exec-30] INFO  RequestContextRetriever: retrieving context using token 5213d

3d8-6ea3-4d55-MASKED-TOKEN

2021-01-22 08:41:07,171 [catalina-exec-30] INFO  RequestContextRetriever: retrieved request authorization info

 org.gcube.common.authorization.library.utils.Caller@600f3c0f 

in scope /d4science.research-infrastructures.eu/FARM/GRSF_Admin 

 Are you trying to update a record of GRSF or GRSF_ADMIN? The token that you are using belong to GRSF_ADMIN and the record is the stock with

URL http://data.d4science.org/ctlg/GRSF_Admin/c91222f3-d0a6-3b49-b91d-5143b509ccf1

If the above information is correct, could you kindly provide us with the JSON source of this record? You can attach it to this ticket.

We will try to perform some tests. Thanks.

#5 - Jan 22, 2021 10:39 AM - Yannis Marketakis

- File c91222f3-d0a6-3b49-b91d-5143b509ccf1.json added

Yes, the information you provided is correct. Attached you will find the json representation of the record.

Take into account that this issue occurs with any record, both for updating and publishing.

#6 - Jan 22, 2021 01:13 PM - Luca Frosini

Hi @marketak@ics.forth.gr ,

sorry for the inconvenience.

The issue related to networking.

@andrea.dellamico@isti.cnr.it has solved it.

You can restart the updates at your convenience.

#7 - Jan 22, 2021 01:14 PM - Luca Frosini

- Status changed from In Progress to Feedback

- % Done changed from 20 to 100

#8 - Jan 22, 2021 02:42 PM - Yannis Marketakis

- Status changed from Feedback to Closed

Yes it works without issues now.

With many thanks
